Debian Bug report logs - #437859
ttyrec doesn't work at all

version graph

Package: ttyrec; Maintainer for ttyrec is NIIBE Yutaka <gniibe@fsij.org>; Source for ttyrec is src:ttyrec.

Reported by: Ritesh Raj Sarraf <rrs@researchut.com>

Date: Tue, 14 Aug 2007 14:51:02 UTC

Severity: grave

Tags: patch

Merged with 430632

Found in version ttyrec/1.0.6-1

Fixed in version ttyrec/1.0.6-2

Done: NIIBE Yutaka <gniibe@fsij.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rrs@researchut.com, Takuo KITAME <kitame@debian.org>:
Bug#437859; Package ttyrec. Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
New Bug report received and forwarded. Copy sent to rrs@researchut.com, Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ttyrec doesn't work at all
Date: Tue, 14 Aug 2007 20:18:43 +0530
Package: ttyrec
Version: 1.0.6-1
Severity: grave
Justification: renders package unusable

Here's the output:


rrs@learner:~$ ttyrec
Out of pty's
Terminated
rrs@learner:~$ strace ttyrec
execve("/usr/bin/ttyrec", ["ttyrec"], [/* 36 vars */]) = 0
brk(0)                                  = 0x804d000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7eec000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=101279, ...}) = 0
mmap2(NULL, 101279, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7ed3000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/i686/cmov/libc.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220a\1"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=1331968, ...}) = 0
mmap2(NULL, 1336816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7d8c000
mmap2(0xb7ecd000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x141) = 0xb7ecd000
mmap2(0xb7ed0000, 9712, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7ed0000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7d8b000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7d8b6b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb7ecd000, 4096, PROT_READ)   = 0
munmap(0xb7ed3000, 101279)              = 0
brk(0)                                  = 0x804d000
brk(0x806e000)                          = 0x806e000
open("ttyrecord", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 3
stat64("/dev/ptyp0", 0xbff85d80)        = -1 ENOENT (No such file or directory)
write(2, "Out of pty\'s\n", 13Out of pty's
)         = 13
kill(0, SIGTERM <unfinished ...>



Ritesh

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (650, 'unstable'), (500, 'stable'), (450, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-debian (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ttyrec depends on:
ii  libc6                         2.6-2      GNU C Library: Shared libraries

ttyrec recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#437859; Package ttyrec. Full text and rfc822 format available.

Acknowledgement sent to NIIBE Yutaka <gniibe@fsij.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #10 received at 437859@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: 437859@bugs.debian.org
Subject: The cause of this bug -- BSD pty
Date: Sat, 25 Aug 2007 16:19:21 +0900
I think that the cause of this bug is the use of BSD pty.

Currently in debian/rules, ttyrec is compiled for BSD standard
(deprecated, I think).

I think following patch should apply for Debian build.

--------------------------
--- rules.orig	2007-08-25 16:16:16.000000000 +0900
+++ rules	2007-08-25 16:04:24.000000000 +0900
@@ -19,7 +19,7 @@
 build-stamp:
 	dh_testdir

-	$(MAKE)
+	$(MAKE) CFLAGS="-O2 -Wall -DSVR4"

 	uudecode debian/sample1.tty.uue

--------------------------

Then, it works for UNIX98 pty standard.
-- 



Merged 430632 437859. Request was from NIIBE Yutaka <gniibe@fsij.org> to control@bugs.debian.org. (Sat, 25 Aug 2007 07:33:17 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Fri, 23 Nov 2007 19:24:08 GMT) Full text and rfc822 format available.

Reply sent to NIIBE Yutaka <gniibe@fsij.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 437859-close@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: 437859-close@bugs.debian.org
Subject: Bug#437859: fixed in ttyrec 1.0.6-2
Date: Fri, 25 Jan 2008 05:02:03 +0000
Source: ttyrec
Source-Version: 1.0.6-2

We believe that the bug you reported is fixed in the latest version of
ttyrec, which is due to be installed in the Debian FTP archive:

ttyrec_1.0.6-2.diff.gz
  to pool/main/t/ttyrec/ttyrec_1.0.6-2.diff.gz
ttyrec_1.0.6-2.dsc
  to pool/main/t/ttyrec/ttyrec_1.0.6-2.dsc
ttyrec_1.0.6-2_i386.deb
  to pool/main/t/ttyrec/ttyrec_1.0.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 437859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
NIIBE Yutaka <gniibe@fsij.org> (supplier of updated ttyrec package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 25 Jan 2008 13:39:03 +0900
Source: ttyrec
Binary: ttyrec
Architecture: source i386
Version: 1.0.6-2
Distribution: unstable
Urgency: low
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Changed-By: NIIBE Yutaka <gniibe@fsij.org>
Description: 
 ttyrec     - A tty recorder
Closes: 437859 444704
Changes: 
 ttyrec (1.0.6-2) unstable; urgency=low
 .
   * debian/control (Maintainer): New maintainer (Closes: #444704).
   * debian/rules (build): Compile with -DSVR4 (Closes: #437859).
   (clean): Don't ignore error of make clean.
   (DH_COMPAT): Removed.
   * debian/compat: New file.
Files: 
 8dd4768a89b3d4ad1e9824404fcce88b 560 misc optional ttyrec_1.0.6-2.dsc
 36dbc626408c1746d7bfc15d1c7f9bf3 34765 misc optional ttyrec_1.0.6-2.diff.gz
 b5717aa550a0d4688c51af3da13f3650 30878 misc optional ttyrec_1.0.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHmWobBB45r3HV9DoRAj7jAJ9mO3J4dfKmYflObUc9jEr9MLxQTwCeNknK
xhS/v7wajI3NpuXURHIR//w=
=eT8F
-----END PGP SIGNATURE-----





Reply sent to NIIBE Yutaka <gniibe@fsij.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 May 2010 07:39:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:58:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.